using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace IWS5.DatabaseAccess.IwsDataModels;

[Table("ATBarcodeFont")]
[Index("Name", Name = "UQ_ATBarcodeFont_Name", IsUnique = true)]
public partial class AtbarcodeFont
{
    [Key]
    public int Id { get; set; }

    [StringLength(100)]
    public string Name { get; set; } = null!;

    [StringLength(255)]
    public string? Description { get; set; }

    [InverseProperty("BarcodesFont")]
    public virtual ICollection<AtconvertDefinition> AtconvertDefinitions { get; set; } = new List<AtconvertDefinition>();
}
